Summary:        Stream Based Representation for XML Infoset
Name:           xmlstreambuffer
Version:        2.1.0
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/eclipse-ee4j/metro-xmlstreambuffer
Source0:        %{url}/archive/%{version}/metro-xmlstreambuffer-%{version}.tar.gz

BuildRequires:  maven-local mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jvnet.staxex:stax-ex) mvn(junit:junit)
BuildArch:      noarch

%description
Stream based representation for XML infoset. This project is part of Eclipse Metro project.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -n metro-xmlstreambuffer-%{version}

pushd streambuffer

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%pom_remove_dep :woodstox-core
popd

%build
pushd streambuffer
%mvn_build
popd

%install
pushd streambuffer
%mvn_install
popd

%files -f streambuffer/.mfiles
%license LICENSE.md NOTICE.md
%doc CONTRIBUTING.md README.md

%files javadoc -f streambuffer/.mfiles-javadoc
%license LICENSE.md NOTICE.md

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- initial build
